### Signal

# RB RhythmDBQueryModel::filter-entry-drop

#### Declaration

    gboolean
    filter_entry_drop (
      RhythmDBQueryModel* self,
      RhythmDBEntry* entry,
      gpointer user_data
    )

#### Description [src]

Emitted when an entry is being added to a model by drag-and-drop. This allows the owner of the model to filter out entries that should not be added to the model (based on entry type, for instance). If the signal handler returns `FALSE`, the entry will not be added.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` being dropped.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.